Drupal.behaviors.loadnews = function(context) {
	// Добавляем для всех ссылок в блоке новостей class =loadnews
  $('#block-views-news-block_news', context).find('a').addClass('loadnews')
  // Реагируем на клик
  .bind('click', function() {
  	// Передаем с методом get адрес ссылки
  	var href = $(this).attr('href');
  	// Переменная, это куда мы будем выводить ответ
  	var target = $(this).parents(".field-content");
		// Прячем ссылку
  	$(this).hide();
  	// Вместо нее выводим анимацию
  	$(target).append("<div class=loading></div>");
  	// Получаем данные с сервера
  	$.get(Drupal.settings.basePath + 'loadnews', {url:href} , function(response) {
  		// Сохраняем ответ в переменной
  		var result = Drupal.parseJson(response);
  		// Прячем анимацию
  		$(target).find(".loading").hide();
  		// Вместо нее ставим "Свернуть"
  		$(target).append("<span class=hidenews>Свернуть</span>");
  		$(target).append("<span class=shownews>Подробнее...</span>");
  		$(target).find(".shownews").hide();
  		// Создаем блок для вывода текста новости
  		$(target).append("<div class='newstext'></div>");
  		// Изначально блок будет скрыт, чтобы потом красиво его развернуть
  		$(target).find("div.newstext").hide();
  		// Загружаем текст из переменной в блок
  		$(target).find("div.newstext").html(result.data);
  		// Красиво раскрываем наш блок
  		$(target).find("div.newstext").slideDown("fast").addClass("active");
  		// Реализация скрытия и раскрытия блока (нужно оптимизировать код)
  		$(target).find(".hidenews").click(function() {
  			$(target).find(".hidenews").hide();
  			$(target).find("div.newstext").slideUp("fast").removeClass("active");
  			$(target).find(".shownews").show();
  		});
  		$(target).find(".shownews").click(function() {
  			$(target).find(".shownews").hide();
  			$(target).find("div.newstext").slideDown("fast").addClass("active");
  			$(target).find(".hidenews").show();
  		});
  	});
  	return false;
  });
}